Package org.eclipse.emf.cdo.etypes

# Interface AnnotationValidator.Registry

Enclosing interface:
  AnnotationValidator

public static interface AnnotationValidator.Registry
A registry from `annotation source` to `AnnotationValidator`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AnnotationValidator.Registry`
`INSTANCE`
The global instance of an annotation validator registry.
`static final String`
`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getAnnotationSources()`
`AnnotationValidator`
`getAnnotationValidator(String annotationSource)`
Looks up the annotation source in the registry.

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### INSTANCE

static final AnnotationValidator.Registry INSTANCE
The global instance of an annotation validator registry.

## Method Details

### getAnnotationSources

Set<String> getAnnotationSources()

### getAnnotationValidator

AnnotationValidator getAnnotationValidator(String annotationSource)
Looks up the annotation source in the registry.